-- Add plugin to Infopanel, only if the AddOn is active
if ( IsAddOnLoaded( "InfoPanel2" ) ) then
    -- Find last left aligned plugin
    local plugins = { InfoPanel2:GetChildren() };
    for _, plugin in ipairs( plugins ) do
        if ( ( plugin.isRightAligned or 0 ) == 0 ) then
            lastplugin = plugin;
        end;
    end;

    -- Add the plugin for UberInventory
    local f = InfoPanel2_AddPlugin();
    InfoPanel2_SetText( f, "UberInventory" );
    f.icon:SetTexture("Interface\\AddOns\\UberInventory\\UberInventory");
    f:SetScript( "OnEnter", function() UberInventory_Minimap_OnEnter( "ANCHOR_TOPLEFT" ); end );
    f:SetScript( "OnClick", function() UberInventory_Toggle_Main(); end );

    -- Place the plugin correctly
    if ( lastplugin ) then
        f:SetPoint( "LEFT", lastplugin, "RIGHT", 12, 0 );
    else
        f:SetPoint( "LEFT", 2, 0 );
    end;
end;
